Skip to content
BleemeoBleemeo

Retrieve a cloud provider resource

GET
/v1/cloudproviderresource/{id}/
curl --request GET \
--url https://example.com/v1/cloudproviderresource/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single cloud provider resource by its ID.

id
required
string format: uuid

A UUID string identifying this cloud provider resource.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
agent
required
string format: uuid
cloud_provider_integration
required
string format: uuid
display_name
required
string
nullable
region
required
string
resource_type
required
  • 0 - Resource listing
  • 1 - AWS EC2
  • 2 - AWS RDS
  • 3 - AWS ELB
  • 4 - AWS S3
  • 5 - AWS DynamoDB
  • 6 - AWS Trusted Advisor
  • 7 - AWS Lambda
  • 100 - AWS Account
  • 101 - Azure VM
  • 102 - Azure sql
  • 103 - Azure Cosmos DB
  • 104 - Azure Load Balancer
  • 105 - Azure Blob Storage
  • 106 - Azure Account Advisor
  • 107 - Azure Application Function
  • 108 - Azure Account
integer
Allowed values: 0 1 2 3 4 5 6 7 100 101 102 103 104 105 106 107 108
monitor_enabled
boolean
monitored_by_tag
required
boolean
cloud_created_at
required
string format: date-time
nullable

Example

{
"resource_type": 0
}